Subject: bug#50882: closed (Re: bug#50882: [PATCH] gnu: services: Add darkhttpd service)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Jul 2022 01:42:02 +0000

Your bug report

#50882: [PATCH] gnu: services: Add darkhttpd service

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50882: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50882: [PATCH] gnu: services: Add darkhttpd service
From: Maxim Cournoyer <[email-masked]>
To: jgart <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Fri, 08 Jul 2022 21:41:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[...]

>> Friendly ping about the above requests from Ludovic :-).
>
> Arun Isaac convinced me to not write a service for this one since it's
> common usage is for quick serving by simply running `darkhttpd ...` from
> the command line. I think that guile bindings for every CLI feature of
> darkhttpd doesn't add to that aim. I might change my mind later on this.
> Feel free to close this one for now.
>
> It was a fun exercise though. 
>
> Ludo, thanks for the review. It was much appreciated!

OK, if you do reopen a ticket for it, please incorporate Ludovic's and
others comments in this issue in the to be submitted code, to avoid
duplicating efforts.

Closing; thanks!

Maxim

Subject: [PATCH] gnu: services: Add darkhttpd service
From: jgart <[email-masked]>
To: Guix Patches <[email-masked]>
Date: Tue, 28 Sep 2021 20:38:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guixers,

Heres a WIP service for darkhttpd along with texinfo documentation for how it
works.

I'd appreciate feedback and testing if you have the time to do that.

all the best,

jgart

3B1D 7F19 E36B B60C 0F5B 2CA9 A52A A2B4 77B6 DD35